<?php

namespace admin\controls;

class ArticlesArchive
{

  public static function article_restore()
  {
    global $user;
    if ( !\admin\factory\Users::check_privileges( 'article_administration',
                    $user['id'] ) )
      return \S::alert( 'Nie masz uprawnień' );

    if ( \admin\factory\ArticlesArchive::article_restore( \S::get( 'id' ) ) )
      \S::alert( 'Artykuł został przywrócony.' );
    header( 'Location: /admin/articles_archive/view_list/' );
    exit;
  }

  public static function article_delete()
  {
    global $user;
    if ( !\admin\factory\Users::check_privileges( 'article_administration',
                    $user['id'] ) )
      return \S::alert( 'Nie masz uprawnień' );

    if ( \admin\factory\ArticlesArchive::article_delete( \S::get( 'id' ) ) )
      \S::alert( 'Artykuł został usunięty.' );
    header( 'Location: /admin/articles_archive/view_list/' );
    exit;
  }

  public static function view_list()
  {
    global $user;
    if ( !\admin\factory\Users::check_privileges( 'article_administration',
                    $user['id'] ) )
      return \S::alert( 'Nie masz uprawnień' );

    return \admin\view\ArticlesArchive::articles_list();
  }

}